kompendium
2.0.3
2.0.3 2.0.2 2.0.1

# getDefaultParameterValue

open fun getDefaultParameterValue (clazz: KClass <*>, prop: KProperty <*>): Any ?
Content copied to clipboard

Absolutely disgusting reflection to determine if a default value is available for a given property.

#### Return

The default value if found

## Parameters

clazz

to which the property belongs

prop

the property in question